XML parsing error in about:sync-tabs

RESOLVED WONTFIX

Status

Cloud Services
Firefox Sync: UI
RESOLVED WONTFIX
7 years ago
6 years ago

People

(Reporter: atoll, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [sumo:795179])

Attachments

(1 attachment)

cloned verbatim from https://support.mozilla.com/en-US/questions/795179 and asked users to report what language they're using.

--

http://about:sync-tabs gives an XML parsing error!

Pressing 'tabs from other computers' in the top right menu bar gives the following error:
XML Parsing Error: undefined entity Location: about:sync-tabs Line Number 7, Column 1:<window <="" ^="" id="tabs-display" p=""></window>
I suspected a locale problem. User reported that s/he's using en-GB, but the Mac build for that locale worked just fine.
Issue reported by 25 SUMO users so far.  I imagine that a SUMO admin could look up which users said "I have this problem" so that we can contact them if needed.
Duplicate of this bug: 644903

Comment 4

7 years ago
Created attachment 521784 [details]
Screenshot of parsing error

Here’s a screenshot demonstrating the error.  This is Firefox 4.0 (en-GB) on Windows 7 64-bit.  Let me know if anything is missing.
(In reply to comment #4)
> Created attachment 521784 [details]
> Screenshot of parsing error
> 
> Here’s a screenshot demonstrating the error.  This is Firefox 4.0 (en-GB) on
> Windows 7 64-bit.  Let me know if anything is missing.

Thanks for this; much obliged. Could you possibly attach the contents of the page _and_ chrome://browser/locale/aboutSyncTabs.dtd (view source) to this bug, also?

The latter should look something like

<!-- LOCALIZATION NOTE (tabs.otherComputers.label): Keep this in sync with syncTabsMenu.label from browser.dtd -->
<!ENTITY tabs.otherComputers.label               "Tabs From Other Computers">

<!ENTITY tabs.searchText.label                   "Type here to find tabs…">

<!-- LOCALIZATION NOTE (tabs.context.openTab.accesskey, tabs.context.openMultipleTabs.accesskey):
     Only one of these will show at a time (based on selection), so reusing accesskey is ok. -->
<!ENTITY tabs.context.openTab.label                   "Open This Tab">
<!ENTITY tabs.context.openTab.accesskey               "O">
<!ENTITY tabs.context.openMultipleTabs.label          "Open Selected Tabs">
<!ENTITY tabs.context.openMultipleTabs.accesskey      "O">
<!ENTITY tabs.context.bookmarkSingleTab.label         "Bookmark This Tab…">
<!ENTITY tabs.context.bookmarkSingleTab.accesskey     "B">
<!ENTITY tabs.context.bookmarkMultipleTabs.label      "Bookmark Selected Tabs…">
<!ENTITY tabs.context.bookmarkMultipleTabs.accesskey  "B">
<!ENTITY tabs.context.refreshList.label               "Refresh List">
<!ENTITY tabs.context.refreshList.accesskey           "R">

Thanks!

Comment 6

7 years ago
(In reply to comment #5)
> (In reply to comment #4)
> > Created attachment 521784 [details]
> > Screenshot of parsing error
> > 
> > Here’s a screenshot demonstrating the error.  This is Firefox 4.0 (en-GB) on
> > Windows 7 64-bit.  Let me know if anything is missing.
> 
> Thanks for this; much obliged. Could you possibly attach the contents of the
> page _and_ chrome://browser/locale/aboutSyncTabs.dtd (view source) to this bug,
> also?
>
> [snip]

Uh, this is a bit embarrassing.  I was trying to figure out earlier why memory usage was so high for me compared to 3.6, and I came across something that suggested uninstalling the Firefox Sync extension as the functionality is built into FF4.  I did so (unfortunately, it didn’t seem to help very much, but that’s another story).  When I try about:sync-tabs now, there is no parsing error.  I see the “Tabs From Other Computers” page.

Perhaps the error is an artefact of having the extension installed when upgrading to FF4?

[1]: http://support.mozilla.com/en-US/questions/778081
I could imagine that the add-on messes this up somehow, except that I haven't been able to reproduce this at all. I installed the add-on on Firefox 4 but about:sync-tabs continued to work fine.

Comment 8

7 years ago
I've this problem too.
Firefox 4, opensuse 11.4, my locale is ru-RU
(In reply to comment #8)
> I've this problem too.
> Firefox 4, opensuse 11.4, my locale is ru-RU

Have you tried uninstalling the 3.6 Sync add-on and restarting Firefox?

Comment 10

7 years ago
(In reply to comment #9)
> (In reply to comment #8)
> > I've this problem too.
> > Firefox 4, opensuse 11.4, my locale is ru-RU
> 
> Have you tried uninstalling the 3.6 Sync add-on and restarting Firefox?

Richard, thank you. You help me :-) Problem solved
aroba: glad to hear it!

Sync team: Are we doing another add-on release? If not, we might as well WONTFIX this.
Seems to be related to having the Sync add-on installed in a newer Firefox.
Status: NEW → RESOLVED
Last Resolved: 6 years ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.